> ## Documentation Index
> Fetch the complete documentation index at: https://studio.assembly.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add clients to a company

> Associates one or more existing clients with a company. Set
`confirmPromotePlaceholder=true` to promote a placeholder company when adding clients.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/companies/{id}/clients
openapi: 3.0.0
info:
  contact: {}
  title: Assembly API
  version: 0.0.1
servers:
  - url: https://api.assembly.com
security: []
paths:
  /v1/companies/{id}/clients:
    post:
      tags:
        - Companies
      summary: Add clients to a company
      description: >-
        Associates one or more existing clients with a company. Set

        `confirmPromotePlaceholder=true` to promote a placeholder company when
        adding clients.
      operationId: add-clients-to-company
      parameters:
        - description: Company ID
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: Promote a placeholder company when adding clients
          in: query
          name: confirmPromotePlaceholder
          schema:
            type: boolean
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/company.addClientToCompanyRequest'
        description: Clients to add
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/company.addClientToCompanyResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Invalid request body
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Missing or invalid API key
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Unexpected server error
      security:
        - APIKeyHeader: []
components:
  schemas:
    company.addClientToCompanyRequest:
      properties:
        clientIds:
          description: >-
            ClientIDs are the IDs of the clients to add to the company. At least
            one ID is required.
          items:
            type: string
          minItems: 1
          type: array
      required:
        - clientIds
      type: object
    company.addClientToCompanyResponse:
      properties:
        addClientErrors:
          description: >-
            AddClientErrors lists the clients that could not be added, with the
            reason for each.
          items:
            $ref: '#/components/schemas/companies.ManageCompanyClientError'
          type: array
        addedClientIds:
          description: >-
            AddedClientIDs are the IDs of the clients successfully added to the
            company.
          items:
            type: string
          type: array
      type: object
    dispatcher.Error:
      properties:
        code:
          type: string
        data: {}
        message:
          type: string
      type: object
    companies.ManageCompanyClientError:
      properties:
        clientId:
          type: string
        error:
          properties:
            code:
              type: string
            message:
              type: string
            type:
              type: string
          type: object
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-KEY
      type: apiKey

````